{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Associate a tag with one or more segments. Any segment cannot be associated with more than **100** tags.\n\n\nUse the request body to pass in the ID(s) of the segments(s) that will be associated with the tag.<br><br>*Rate limits*:<br>Burst: `3/s`<br>Steady: `60/m`\n\n**Scopes:**\n`segments:write`\n`tags:write`\n\n[OpenAPI Spec](https://raw.githubusercontent.com/klaviyo/openapi/main/openapi/stable/apis/tag_segments.json)","properties":{"path":{"type":"object","properties":{"id":{"description":"The Tag ID","type":"string","examples":["abcd1234-ef56-gh78-ij90-abcdef123456"]}},"required":["id"],"additionalProperties":false},"headers":{"type":"object","properties":{"revision":{"type":"string","default":"2026-10-15","enum":["2026-10-15"],"description":"API endpoint revision (format: YYYY-MM-DD[.suffix])"}},"required":["revision"],"additionalProperties":false},"body":{"$ref":"#/definitions/TagSegmentOp"}},"required":["path","headers","body"],"additionalProperties":false,"definitions":{"TagSegmentOp":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","required":["type","id"],"properties":{"type":{"$ref":"#/definitions/SegmentEnum"},"id":{"description":"The IDs of the segments to link or unlink with the given Tag ID","type":"string"}}}}},"required":["data"]},"SegmentEnum":{"type":"string","enum":["segment"]}}},"name":"Tag Segments","id":"klaviyo.tag_segments","example":{"path":{"id":"abcd1234-ef56-gh78-ij90-abcdef123456"},"headers":{"revision":"2026-10-15"},"body":{"data":[]}},"maxRequests":1,"summary":false}}